Bug 1248467 - The fedora:20 image prevents installation of openssl
Summary: The fedora:20 image prevents installation of openssl
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-30 11:14 UTC by Jan Pazdziora
Modified: 2015-07-31 13:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-31 13:53:39 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2015-07-30 11:14:15 UTC
Description of problem:

It seems fedora:20 image has openssl-libs from updates-testing, which is not enabled, preventing installation of openssl.

Version-Release number of selected component (if applicable):

fedora:20 image 1b48ab88a33e.

How reproducible:

Deterministic.

Steps to Reproduce:
1. # docker run -ti fedora:20 yum install openssl

Actual results:

Resolving Dependencies
--> Running transaction check
---> Package openssl.x86_64 1:1.0.1e-42.fc20 will be installed
--> Processing Dependency: openssl-libs(x86-64) = 1:1.0.1e-42.fc20 for package: 1:openssl-1.0.1e-42.fc20.x86_64
--> Processing Dependency: make for package: 1:openssl-1.0.1e-42.fc20.x86_64
--> Running transaction check
---> Package make.x86_64 1:3.82-19.fc20 will be installed
---> Package openssl.x86_64 1:1.0.1e-42.fc20 will be installed
--> Processing Dependency: openssl-libs(x86-64) = 1:1.0.1e-42.fc20 for package: 1:openssl-1.0.1e-42.fc20.x86_64
--> Finished Dependency Resolution
Error: Package: 1:openssl-1.0.1e-42.fc20.x86_64 (updates)
           Requires: openssl-libs(x86-64) = 1:1.0.1e-42.fc20
           Installed: 1:openssl-libs-1.0.1e-45.fc20.x86_64 (@fedora-updates-testing/$releasever)
               openssl-libs(x86-64) = 1:1.0.1e-45.fc20
           Available: 1:openssl-libs-1.0.1e-30.fc20.x86_64 (fedora)
               openssl-libs(x86-64) = 1:1.0.1e-30.fc20
           Available: 1:openssl-libs-1.0.1e-42.fc20.x86_64 (updates)
               openssl-libs(x86-64) = 1:1.0.1e-42.fc20
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

No error, installation of openssl passes.

Additional info:

While Fedora 20 EOL'ed on 2015-06-23, it seems something has rebuilt the image on or after that date because http://koji.fedoraproject.org/koji/buildinfo?buildID=664541 as built the same day.

It'd be nice to have reasonably working Fedora 20 image around, we use it for upgrade testing.

Comment 1 Daniel Walsh 2015-07-30 12:18:51 UTC
These are not docker issues, I think we need a mechanism to report image problems separate from docker package.

Comment 2 Jan Pazdziora 2015-07-31 08:18:51 UTC
That fedora:20 image has similar problem with krb5-libs:

# docker run -ti fedora:20 yum install krb5-server
[...]
Error: Package: krb5-server-1.11.5-19.fc20.x86_64 (updates)
           Requires: krb5-libs(x86-64) = 1.11.5-19.fc20
           Installed: krb5-libs-1.11.5-20.fc20.x86_64 (@fedora-updates-testing/$releasever)
               krb5-libs(x86-64) = 1.11.5-20.fc20
           Available: krb5-libs-1.11.3-33.fc20.x86_64 (fedora)
               krb5-libs(x86-64) = 1.11.3-33.fc20
           Available: krb5-libs-1.11.5-19.fc20.x86_64 (updates)

Comment 3 Lokesh Mandvekar 2015-07-31 13:53:39 UTC
Hi Jan, given that f20 is EOL, do we still need to worry about this?

I had enabled openssl-libs from testing because we needed a CVE fix and I had no idea if the update would make ever make it to stable (coz EOL). 

Please file an issue on https://github.com/fedora-cloud/docker-brew-fedora if you'd like to discuss this further. That or fedora rel-eng trac would be better places for image issues.

Comment 4 Jan Pazdziora 2015-07-31 13:58:25 UTC
(In reply to Lokesh Mandvekar from comment #3)
> Hi Jan, given that f20 is EOL, do we still need to worry about this?

I think we do, if only to make sure our processes are clean and producing stable content.

> Please file an issue on https://github.com/fedora-cloud/docker-brew-fedora
> if you'd like to discuss this further. That or fedora rel-eng trac would be
> better places for image issues.

I've filed https://github.com/fedora-cloud/docker-brew-fedora/issues/19 now, thanks for the pointer.


Note You need to log in before you can comment on or make changes to this bug.